Rygel.Plugin.Plugin – librygel-core Reference Manual

# Plugin

## Description:

public Plugin (string desc_path, string name, string? title, string? description = null, PluginCapabilities capabilities = NONE)

Create an instance of the plugin.

## Parameters:

desc_path | The path of a template file for an XML description of the UPnP service.
name | The non-human-readable name for the plugin and its service, used in UPnP messages and in the Rygel configuration file.
title | An optional human-readable name (friendlyName) of the UPnP service provided by the plugin. If the title is empty then the name will be used.
description | An optional human-readable description (modelDescription) of the UPnP service provided by the plugin.